dipy (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0  (Closes: #1060176)
  * Patches deleted after application upstream: python3, crossbuild.patch,
    spelling-error-in-binary.patch, and fix-invalid-version.patch.
  * Patches refreshed: deb_no_sources_for_docs patch,
    skip-tests-needing-internet.patch, skip_wall-clock_test.patch,
    no-network.patch, skip-stringent-test.patch and relay_comparison.patch.
  * d/{control,rules}: migrate to dh-sequence-python3.
  * d/control: build depends on pybuild-plugin-pyproject and python3-mesonpy.
  * d/control: doc build depends on python3-skimage and python3-sphinx-design.
  * d/control: build time tests now depend on python3-trx-python.
  * d/control: python-dipy-doc depends on libjs-sphinxdoc & node-mathjax-full.
  * d/t/control: remove needs-internet restriction.
    The test suite is in a state that works appropriately without Internet.
  * d/rules: declare matplotlib backend in environment.
  * d/rules: slight attempt at improving the general readability.
  * d/rules: fix the build date in documentation.
  * d/rules: update dist-packages cleanup pattern.
  * d/rules: replace references to cdn jsdelivr by uses of a local file.
  * d/rules: remove embedded sphinx javascript.
    This is done in favor of using links to the canonical scripts instead.
  * d/rules: introduce dh_fixperms scripting.
    This fixes a couple of occurrences of executables not elf nor scripts.
  * d/python3-dipy.install: copy all example files instead of just scripts.
  * d/python-dipy-doc.links: point to libjs-sphinxdoc scripts.
  * sphinx-default.patch: new: apply default theme.
    This avoids depending on grg theme not available yet.
  * skip-tests-needing-internet.patch: skip more tests.
  * fix-i386.patch: zero precision for test_ascm_accuracy.
    The test is not capable of decimal precision on i386, and possibly
    other 32-bit cpu architectures.
  * fix-privacy-breaches.patch: new: uninline youtube video.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jan 2024 22:26:24 +0100

dipy (1.7.0-4) unstable; urgency=medium

  * Team upload.
  * Take over the suggested solution by Drew Parsons to avoid comparison of
    floating point numbers
    Closes: #1053265

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 14:10:28 +0100

dipy (1.7.0-3) unstable; urgency=medium

  * Team upload.

  [ Nathan Pratta Teodosio ]
  * skip-streamwarp-test-in-big-endian.patch: skip streamwarp tests in
    big endian architectures (Closes: #1050037).

  [ Michael R. Crusoe ]
  * d/patches: update forwarding status
  * d/control, d/clean, d/rules: cleanup better after a build. Closes: #1044608
  * d/patches/python3: rewrite some hashbang headers that dh_python missed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Sep 2023 10:48:22 +0200

dipy (1.7.0-2) unstable; urgency=medium

  * skip-stringent-test.patch: new: skip a failing test.
    The test_cross is too stringent and only succeeds on a couple of
    architectures like amdd64 and similar.  This fixes ftbfs on arm64,
    ppc64el, riscv64 and possibly others.  This is not sufficient to
    resolve the additional failures seen on big endian systems though.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 15:45:57 +0200

dipy (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/control: cleanup build dependency on ancient nibabel version.
  * d/rules: replace html-after-examples by html target.
    html-after-examples has been replaced by html-after-examples-legacy,
    which looks to be mostly the same as the new html target (which in
    turn also has an html-legacy target)
  * d/rules: fix shebangs as python is not python3.
  * d/rules: remove inc_static.nii.gz from python3 modules directory.
  * no-network.patch: added; skip sphinx gallery.
    The sphinx gallery only works when accessing Internet resources.
  * skip-tests-needing-internet.patch: update.
    There is one new test which requires being skipped due to requiring
    Internet access.
  * deb_no_sources_for_docs patch: refresh.
  * crossbuild.patch: refresh.
  * spelling-error-in-binary.patch: refresh; partially applied upstream.
  * fix-invalid-version.patch: new patch.
    This fixes failure to build the documentation due to a trailing dot
    landing somehow in the module version.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Jul 2023 18:25:16 +0200

dipy (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 19:35:20 +0100

dipy (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Do not measure wall-clock time (thanks for the patch to Rebecca N.
    Palmer)
    Closes: #1029533

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 20:12:50 +0100

dipy (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to work with numpy 1.24

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 19:00:33 +0100

dipy (1.5.0-5) unstable; urgency=medium

  * d/control: recommend python3-vtk9 instead of vtk7.
  * d/t/control: bump to vtk9 in test dependencies too.
    The missing dependency on python3-vtk7 seems to have caused a red
    herring in numpy 1.24 transition. (Closes: #1027200)
  * d/copyright: bump copyright year.
  * d/control: declare compliance to standards version 4.6.2.
  * d/rules: make data file not executable.
  * d/*.lintian-overrides: fix mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 13:14:10 +0100

dipy (1.5.0-4) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore dh_dwz if it fails (currently failing on armel)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Mar 2022 13:39:31 +0530

dipy (1.5.0-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore another test on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 20:46:34 +0530

dipy (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore some tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 15:29:17 +0530

dipy (1.5.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Lintian-override for
    package-contains-documentation-outside-usr-share-doc
  * Simplify dh_python3 override
  * Build-Depends: python3-setuptools

  [ Étienne Mollier ]
  * Add autopkgtests (Closes: #994575)
  * Add skip-tests-needing-internet.patch
  * d/rules: rework the test suite to use pytest instead of nosetest
  * d/control: remove dependency on python3-nose
  * d/control: add test build-dep to python3-tk
  * d/control: add test build-dep on python3-pil.tkinter

  [ Nilesh Patra ]
  * Fixing autopkgtest by testing in the installed dipy (not source)
  * d/salsa-ci.yml: Disable reprotest
  * Fix build on i386 (failing due to precision errors)
  * Copy dipy/data in autopkgtest suite as well
  * Skip running examples as autopkgtest for now - these consume a lot
    of resources and might be unsuited for our runners.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 13:10:42 +0000

dipy (1.4.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #983840)

  [ Étienne Mollier ]
  * New upstream version 1.4.1.
  * d/watch: fix broken link to Github and refer through https instead of http.
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Apply multi-arch hints.
    + python3-dipy-lib: Add Multi-Arch: same.
    + python-dipy-doc: Add Multi-Arch: foreign.
  * d/control, crossbuild.patch: demote python3-h5py, -nibabel and -tqdm
    build-dependencies as <!nocheck>, and prevent setup.py to forcefully
    ask for the corresponding modules; this enables cross compilation.
    (Also demote python3-scipy to reduce the load on nocheck build profiles.)
  * d/control, d/rules: make python-dipy-doc depend on libjs-mathjax, and avoid
    one to refer to mathjax online while reading the documentation, which would
    otherwise be a privacy breach.
  * d/control: add myself to uploaders.
  * d/rules: make all example scripts not executable, for consistency.
  * d/rules: enable hardening.
  * d/copyright: update copyright years.
  * add spelling-error-in-binary.patch.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Sep 2021 12:58:08 +0200

dipy (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: prevent build time test suite from accessing network resources.
    Closes: #987517
  * d/rules: install .so files in python3-dipy-lib; this makes several dipy
    modules, formerly missing, now usable.
    Closes: #987453

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 25 Apr 2021 11:15:12 +0200

dipy (1.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Tag more test dependencies <!nocheck>. (Closes: #980336)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 11:52:53 +0100

dipy (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * (Build-)Depends: python3-tqdm

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:34:26 +0100

dipy (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 08:57:11 +0100

dipy (1.2.0-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/
    + provide python3 packaging
    + suggest python-dipy-doc (Closes: #849904)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Drop Python2 package
    Closes: #936400, #942973, #923657
  * Versioned Build-Depends: python3-nibabel (>= 3.0.0)
  * Make Debian Med team maintainer and move package to med-team on Salsa
  * Remove debian/gbp.conf since repository now follows default layout
    as described in policy
  * Remove unused debian/blends file
  * Remove outdated debian/README.source
  * debhelper-compat 13 (routine-update)
  * Remove debian/cythonized-files
  * (Build-)Depends: pandas

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 22:37:04 +0100

dipy (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/
    - pushed compat to 9
    - removed absorbed upstream debian/patches/1300.diff
    - build-depend on python-numpydoc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 May 2018 14:59:42 -0400

dipy (0.13.0-2) unstable; urgency=medium

  * debian/patches/1300.diff to mitigate failing tests on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Nov 2017 00:41:46 -0500

dipy (0.13.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - python-h5py was added to (Build-)Depends and
      python-tables was removed from Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 21:23:41 -0500

dipy (0.12.0-1) unstable; urgency=medium

  * Fresh upstream release
    - upstream requires cython >= 0.25.1 for recythonization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2017 23:19:57 -0400

dipy (0.11.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - changed Priority to extra to be inline with suite overrides
    - boost policy to 3.9.7 (no extra changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 21 Feb 2016 19:09:50 -0500

dipy (0.10.1-1) unstable; urgency=medium

  [ Michael Hanke ]
  * Upload to unstable (Closes: #785991).
  * Update maintainer email.
  * Modify build to enable reproducible build (Closes: #789747). Patch is
    courtesy of Juan Picca <jumapico@gmail.com>.

  [ Yaroslav Halchenko ]
  * Fresh upstream release
  * debian/patches/up_numpy_compat-PR858.patch - for compatibility with numpy
    1:1.11.0~b2

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Feb 2016 20:04:07 -0500

dipy (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - limit to python >= 2.7 to avoid problem while testing scripts while
      having two Python versions supported
      (see https://github.com/nipy/dipy/issues/354#issuecomment-69251564)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Mar 2015 22:55:37 -0400

dipy (0.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/{control,rules}
    - migrated from using python-support
  * debian/copyright
    - various small tune ups to satisfy format

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Jan 2015 17:07:25 -0500

dipy (0.7.1+git1225-gb048445-1) UNRELEASED; urgency=medium

  * Fresh upstream snapshot
  * debian/control
    - added libgomp1 to b-depends to facilitate build/testing OPENMP code
    - policy boost to 3.9.6
  * debian/patches -- slight adjustments
  * debian/rules
    - clean away Cython generated files

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Dec 2014 22:34:46 -0500

dipy (0.7.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix DEP5 format specification
  * debian/control:
     - Set Vcs fields to anonscm.debian.org
     - Priority: optional
  * debian/blends, debian/upstream/metadata: Move publication data
    where they belong to

  [ Yaroslav Halchenko ]
  * Exclude peaksFromModelParallel from testing for now due to obscure
    permission issue

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 10:18:32 -0400

dipy (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches
    - dropping deb_interpreter_for_scripts_tests, changeset* patches --
      adopted upstream
    - adding up_AE_test_fixup_i386 to overcome test failures on 32bit
  * debian/control
    - boost policy to 3.9.5 (no further changes due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jan 2014 09:41:26 -0500

dipy (0.6.0-2) unstable; urgency=low

  * Upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Oct 2013 21:25:04 -0400

dipy (0.6.0-1) experimental; urgency=low

  * New upstream release
    - includes patches/up_explicit_cdefs_inits (dropped)
  * debian/watch
    - updated to fetch from github's tags
  * debian/changelog
    - updated years
  * debian/source/options
    - added to ignore generated COMMIT_INFO.txt
  * debian/rules
    - export http_proxy=http://127.0.0.1:9 to prevent any downloads
    - point PATH to the installed bin/ for tests to test example scripts
    - added cythonization so we could build backports with cython < 0.17.3
  * debian/control
    - provide X-Python-Version: >= 2.6 just to avoid warnings
    - boosted policy to 3.9.4 (no further changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Apr 2013 11:57:30 -0400

dipy (0.5.0-3) unstable; urgency=low

  * Added patch up_explicit_cdefs_inits to prevent FTBFS with cython >= 0.15

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 15:37:06 -0400

dipy (0.5.0-2) unstable; urgency=low

  * Upload to unstable
  * Fixed binary-arch build -- extensions were not installed. Thanks Jiří
    Keller for the report
  * Fixed ${Python:depends} -> ${python:Depends} (thanks Lintian)
  * Boosted policy to 3.9.2 (no changes are due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jul 2011 13:55:03 -0400

dipy (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #610347)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Feb 2011 17:38:53 -0500

dipy (0.5.0~dev20110117-1~pre1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Jan 2011 15:13:17 -0500
